Module org.hsqldb
Package org.hsqldb.lib

## Class InputStreamWrapper

- java.lang.Object
- - org.hsqldb.lib.InputStreamWrapper

- All Implemented Interfaces:
    `InputStreamInterface`

      public class InputStreamWrapper
      extends java.lang.Object
      implements InputStreamInterface

  Since:
    2.2.8
  Author:
    Fred Toussi (fredt@users dot sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InputStreamWrapper​(java.io.InputStream is)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `available()` |
    `void` | `close()` |
    `long` | `getSizeLimit()` | Invariant.
    `int` | `read()` |
    `int` | `read​(byte[] bytes)` |
    `int` | `read​(byte[] bytes, int offset, int length)` |
    `void` | `setSizeLimit​(long count)` |
    `long` | `skip​(long count)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InputStreamWrapper

          public InputStreamWrapper​(java.io.InputStream is)

  - ### Method Detail

    - #### read

          public int read()
                   throws java.io.IOException

      Specified by:
        `read` in interface `InputStreamInterface`
      Throws:
        `java.io.IOException`

    - #### read

          public int read​(byte[] bytes)
                   throws java.io.IOException

      Specified by:
        `read` in interface `InputStreamInterface`
      Throws:
        `java.io.IOException`

    - #### read

          public int read​(byte[] bytes,
                          int offset,
                          int length)
                   throws java.io.IOException

      Specified by:
        `read` in interface `InputStreamInterface`
      Throws:
        `java.io.IOException`

    - #### skip

          public long skip​(long count)
                    throws java.io.IOException

      Specified by:
        `skip` in interface `InputStreamInterface`
      Throws:
        `java.io.IOException`

    - #### available

          public int available()
                        throws java.io.IOException

      Specified by:
        `available` in interface `InputStreamInterface`
      Throws:
        `java.io.IOException`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `InputStreamInterface`
      Throws:
        `java.io.IOException`

    - #### setSizeLimit

          public void setSizeLimit​(long count)

      Specified by:
        `setSizeLimit` in interface `InputStreamInterface`

    - #### getSizeLimit

          public long getSizeLimit()

      Description copied from interface: `InputStreamInterface`
      Invariant. Number of characters in stream, including any already read.
      Specified by:
        `getSizeLimit` in interface `InputStreamInterface`
      Returns:
        -1 if no explicit limit otherwise the limit